Bug 1563812 - Guest not recognizing flags from high performance profile
Summary: Guest not recognizing flags from high performance profile
Keywords:
Status: CLOSED DUPLICATE of bug 1564146
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.2.3
: ---
Assignee: Sharon Gratch
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 18:57 UTC by Anaga Vijaykumar
Modified: 2019-05-16 13:05 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 13:23:59 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)

Description Anaga Vijaykumar 2018-04-04 18:57:25 UTC
Description of problem:

The RHV4.2 guest I created for testing SAP workloads is running the "High Performance" profile and requires a high performance hook for optimized performance. This hook contains flags that are required and need to be incorporated into the guest but when I look at the guest XML they don't seem to be present. Regardless of whether or not I select "highperf = 1" under Custom Properties while editing my guest, I don't see these flags reflected in the guest XML at all. 

How reproducible: Always

Steps to Reproduce:
1. Create a "High Performance" guest with all the information required for running "High Performance" guest (i.e. CPU pinning, huge page size, etc.)
2. Run guest and check the guest XML on the host

Actual results: 

I see this in the guest XML:

....
<cpu mode='host-passthrough' check='none'>
    <topology sockets='4' cores='24' threads='2'/>
....

Expected results:

The flags from the hook are supposed to present themselves in the guest XML in the following manner:

....
<cpu mode='host-passthrough' check='none'>
    <topology sockets='4' cores='24' threads='2'/>
    <cache level='3' mode='emulate'/>
    <feature policy='require' name='invtsc'/>
    <feature policy='require' name='rdtscp'/>
....

Comment 1 Michal Skrivanek 2018-04-05 05:06:22 UTC
"highperf = 1" is for unreleased hook you’ve been using which is not in the product. Stop using it first. 
For modifying the flags you need to use cpuflags hook which you seem to be missing. 

Need to check docs if instructions are clear

Comment 2 Michal Skrivanek 2018-04-09 10:55:01 UTC
I guess just the cpuflags hook documentation is missing

Comment 4 Franta Kust 2019-05-16 13:05:21 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.